<template>
  <div class="app-container">
    <el-row :gutter="24">
      <el-col :span="19">
        <div class="grid-content bg-purple">
          <el-form style="margin: 10px 8px" :inline="true" ref="form" :model="form"
            class="demo-form-inline" :disabled="isDisabled">
          </el-form>
        </div>
      </el-col>
    </el-row>


      <el-col :span="6">
        <div class="grid-content bg-purple" style="margin: 0 10px">
          <el-table v-loading="loading" :data="newpacName"  height="520"
            ref="tb">
            <el-table-column type="selection" width="55" align="center" label="选择" />
            <el-table-column label="套餐名称" align="center" prop="pacName" />
            <el-table-column label="套餐详情" align="center" prop="proName">
              <template slot-scope="scope">
                <el-button size="mini" type="text" @click="handleSeach(scope.row)"
                  v-hasPermi="['system:package:Seach']">套餐详情
                </el-button>
              </template>
            </el-table-column>
          </el-table>
        </div>
      </el-col>

  
    <!-- 套餐详情 --> 
    <el-dialog :visible.sync="Seachopen" width="500px" append-to-body>
      <template>
        <el-checkbox v-for="item in allpackageList" :label="item.proName"
          :key="item.proId" disabled>{{ item.proName }}</el-checkbox>

        <div slot="footer" class="dialog-footer">
          <el-button @click="cancel">取 消</el-button>
        </div>
      </template>
    </el-dialog>
  </div>
</template>
  
<script>
import { listCustomer, addCustomer } from "@/api/hosp/customer";
import { deptTreeSelect, projectGetList, getOrder, getCusIdcard } from "@/api/system/tijian";
import { getAllPackage } from "@/api/system/package";



export default {
  dicts: [
    "dict_user_national",
    "dict_user_marry",
    "sys_yes_no",
    "sys_user_sex",
  ],
  name: "Tijian",
  data() {
    return {
      imageUrl: "",
      isDisabled: false,
      size: "",
      tcShow: false,
      // 套餐提交按钮
      confirm:false,
      TotalPrice: 0,
      TotalPrice1: 0,
      discount: 100,
      newpacName: [],
      // 所有体检项目·
      allpackageList: [],
      tjProjectList: [],
      customerList: [],
      // 表格
      tableData: [],
      DataList: [],
      tjOrderList: [], //单个项目集合
      tjFlowingWater: {},
      // 选中数组
      ids: [],
      // 非单个禁用
      single: true,
      // 非多个禁用
      multiple: true,
      // 是否显示弹出层
      Seachopen: false,
      // 树状形状
      data: [],
      defaultProps: {
        children: "tjProjectList",
        label: "proName",
      },

      // 查询参数
      queryParams: {
        pageNum: 1,
        pageSize: 10,
        cusName: null,
        cusSex: null,
        cusBrithday: null,
        cusAddr: null,
        cusPhone: null,
        cusPostcode: null,
        cusEmail: null,
        indexCard: null,
        cusNational: null,
        cusMarryStatus: null,
        cusIdcard: null,
        cusIntroduce: null,
        cusNumber: null,
        cusIsvip: null,
      },

      // 表单参数
      form: {},
    };
  },
  created() {
    this.getList();
  },
  methods: {
    /** 查询客户信息列表 */
    getList() {
      this.loading = true;
      listCustomer(this.queryParams).then((response) => {
        this.customerList = response.rows;
        this.total = response.total;
        this.loading = false;
      });
      //全部套餐
      deptTreeSelect().then((response) => {
        this.newpacName = response.rows;
      });

    },
    // 表单重置
    reset() {
      this.form = {
        cusId: null,
        cusName: null,
        cusSex: null,
        cusBrithday: null,
        cusAddr: null,
        cusPhone: null,
        cusPassword: null,
        cusPostcode: null,
        cusEmail: null,
        indexCard: null,
        cusNational: null,
        cusMarryStatus: null,
        cusIdcard: null,
        cusIntroduce: null,
        cusNumber: null,
        cusIsvip: null,
        createBy: null,
        createTime: null,
        updateBy: null,
        updateTime: null,
        deleted: null,
      };
      this.resetForm("form");
    },
    // 套餐详情
    handleSeach(row) {
      this.pacId = row.pacId;
      this.Seachopen = true;
      this.loading = true;
      const pacId = row.pacId;
      let data = {
        pacId: pacId,
      };
      getAllPackage(data).then((response) => {
        this.allpackageList = response.data;
        this.loading = false;
      });
    },
    // 取消按钮
    cancel() {
      this.Seachopen = false;
    },
    // 最后提交按钮
    submitPrice() {
      let _this = this;
      let List = this.DataList; //单个项目信息
      let userId = this.form.cusId
      //tjOrderList//这个是处理完的每一项套餐信息
      List.forEach((item) => {
        this.tjOrderList.push({
          proName: item.proName,
          proPrice: item.proPrice,
          proId: item.proId,
          proType: item.flag
        });
      });
      let copeWith = this.TotalPrice + this.TotalPrice1;
      let paidIn = copeWith * (this.discount / 100);
      let discount = this.discount
      this.tjFlowingWater = { copeWith, paidIn, discount }
      let data = { tjOrderList: this.tjOrderList, tjFlowingWater: this.tjFlowingWater, userId };
      getOrder(data).then((res) => {
        this.$modal.msgSuccess("提交成功");
        _this.confirm = true
      })
      
    },
  },
};
</script>


<style >

</style>

  